Bug 185987 - wget uses unsigned integer for file size reports, allowing overflow
wget uses unsigned integer for file size reports, allowing overflow
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-20 13:30 EST by Pat Gunn
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:11:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Gunn 2006-03-20 13:30:42 EST
Description of problem:
wget uses an unsigned integer for file size reports, which allows an overflow if
users retrieve a very large file (e.g. a FC5 DVD iso)

Version-Release number of selected component (if applicable):
1.10.2

How reproducible:
100%

Steps to Reproduce:
1. wget a large file

Actual results:
tremor:~$ wget ftp://ftp.cse.buffalo.edu/pub/fedora/linux/core/5/i386/iso/FC-5-i
386-DVD.iso
--12:37:34--  ftp://ftp.cse.buffalo.edu/pub/fedora/linux/core/5/i386/iso/FC-5-i3
86-DVD.iso
           => `FC-5-i386-DVD.iso'
Resolving ftp.cse.buffalo.edu... 128.205.32.51
Connecting to ftp.cse.buffalo.edu|128.205.32.51|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pub/fedora/linux/core/5/i386/iso ... done.
==> PASV ... done.    ==> RETR FC-5-i386-DVD.iso ... done.
Length: -1,041,297,408 (unauthoritative)

    [         <=>                       ] 3,253,669,888    1.05M/s             

13:18:29 (1.26 MB/s) - `FC-5-i386-DVD.iso' saved [3253669888]

Note particularly the Length: field

Expected results:
A length field indicating the actual length

Additional info:
Comment 1 Karsten Hopp 2006-03-21 05:27:32 EST
Can you reproduce this with a different server ? wget-1.10 was rewritten to
support files > 2GB and downloading large files works for me here. But many
webservers out there can't handle files that large and report wrong sizes to the
client (wget). Maybe you should try to download from an ftp-server, those tend
to behave somewhat better wrt. large files.
Comment 2 John Thacker 2006-05-05 16:11:56 EDT
Closing due to lack of response from reporter.

This certainly works for me on other servers.  I suspect it is a
server issue.

Note You need to log in before you can comment on or make changes to this bug.